Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.nodetype
Class InvalidNodeTypeDefinitionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jcr.RepositoryException
                  javax.jcr.nodetype.InvalidNodeTypeDefinitionException
                      org.modeshape.jcr.nodetype.InvalidNodeTypeDefinitionException

All Implemented Interfaces:
  Serializable

    @Immutable
    public class InvalidNodeTypeDefinitionException

extends InvalidNodeTypeDefinitionException

Exception representing that a node type definition is somehow invalid

See Also:
  Serialized Form

Constructor Summary
`InvalidNodeTypeDefinitionException()`
`InvalidNodeTypeDefinitionException(String message)`
`InvalidNodeTypeDefinitionException(String message, Throwable rootCause)`
`InvalidNodeTypeDefinitionException(Throwable rootCause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidNodeTypeDefinitionException

    public InvalidNodeTypeDefinitionException()

### InvalidNodeTypeDefinitionException

    public InvalidNodeTypeDefinitionException(String message,
                                              Throwable rootCause)

Parameters:
  `message` -
  `rootCause` -

### InvalidNodeTypeDefinitionException

    public InvalidNodeTypeDefinitionException(String message)

Parameters:
  `message` -

### InvalidNodeTypeDefinitionException

    public InvalidNodeTypeDefinitionException(Throwable rootCause)

Parameters:
  `rootCause` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.